import { CSSProperties } from 'react';
declare type StyleOrFunc<StyleProps> = CSSProperties | ((p: StyleProps) => CSSProperties);
declare type ClassNameOrFunc<StyleProps> = (string | undefined) | ((p: StyleProps) => string | undefined);
export interface OverridableComponentProps<ComponentProps, InternalProps, StyleProps> {
    style?: StyleOrFunc<StyleProps>;
    className?: ClassNameOrFunc<StyleProps>;
    Root?: React.ElementType<ComponentProps>;
    internalProps?: InternalProps;
}
export interface ResolvedOverride<ComponentProps, InternalProps> {
    style?: CSSProperties;
    className?: string;
    Root?: React.ElementType<ComponentProps>;
    internalProps?: InternalProps;
}
export declare function getOverride<O extends OverridableComponentProps<T, U, K>, T, U, K>(o: O | undefined, defaultSpec: O, styleProps?: K, _t?: T, _u?: U, _k?: K): ResolvedOverride<T, U>;
export {};
