import { DayCellProps, DayCellsProps, ToolBarProps, AvailSlotsProps, ToolBarButtonProps, AvailSlotProps } from '../types';
import { OverridableComponentProps, ResolvedOverride } from './general';
declare const DefaultToolBar: OverridableComponentProps<ToolBarProps, {}, {}>;
declare const DefaultToolBarButton: OverridableComponentProps<ToolBarButtonProps, {}, {}>;
declare const DefaultWeekdays: OverridableComponentProps<{}, {}, {}>;
declare const DefaultWeekday: OverridableComponentProps<{
    weekday: string;
}, {}, {}>;
declare const DefaultDayCells: OverridableComponentProps<DayCellsProps, {}, {}>;
declare const DefaultDayCell: OverridableComponentProps<DayCellProps, {}, {
    date: Date;
    isSelected: boolean;
    hasAvail: boolean;
}>;
declare const DefaultAvailabiliies: OverridableComponentProps<AvailSlotsProps, {}, {}>;
declare const DefaultAvailSlot: OverridableComponentProps<AvailSlotProps, {}, {
    date: Date;
}>;
declare type ExtractStyleProps<Overridable> = Overridable extends OverridableComponentProps<infer _T, infer _U, infer Z> ? Z : never;
export declare const defaultComponents: {
    ToolBar: OverridableComponentProps<ToolBarProps, {}, {}>;
    ToolBarButton: OverridableComponentProps<ToolBarButtonProps, {}, {}>;
    Weekdays: OverridableComponentProps<{}, {}, {}>;
    Weekday: OverridableComponentProps<{
        weekday: string;
    }, {}, {}>;
    DayCells: OverridableComponentProps<DayCellsProps, {}, {}>;
    DayCell: OverridableComponentProps<DayCellProps, {}, {
        date: Date;
        isSelected: boolean;
        hasAvail: boolean;
    }>;
    Availabilities: OverridableComponentProps<AvailSlotsProps, {}, {}>;
    AvailSlot: OverridableComponentProps<AvailSlotProps, {}, {
        date: Date;
    }>;
};
export declare type Overrides = typeof defaultComponents;
export declare function getToolBarOverride(overrides: Overrides | undefined, defaultSpec: typeof DefaultToolBar): ResolvedOverride<ToolBarProps, {}>;
export declare function getToolBarButtonOverride(overrides: Overrides | undefined, defaultSpec: typeof DefaultToolBarButton): ResolvedOverride<ToolBarButtonProps, {}>;
export declare function getWeekdaysOverride(overrides: Overrides | undefined, defaultSpec: typeof DefaultWeekdays): ResolvedOverride<{}, {}>;
export declare function getWeekdayOverride(overrides: Overrides | undefined, defaultSpec: typeof DefaultWeekday): ResolvedOverride<{
    weekday: string;
}, {}>;
export declare function getDayCellsOverride(overrides: Overrides | undefined, defaultSpec: typeof DefaultDayCells): ResolvedOverride<DayCellsProps, {}>;
export declare function getDayCellOverride(overrides: Overrides | undefined, defaultSpec: typeof DefaultDayCell, styleProps?: ExtractStyleProps<typeof DefaultDayCell>): ResolvedOverride<DayCellProps, {}>;
export declare function getAvailsOverride(overrides: Overrides | undefined, defaultSpec: typeof DefaultAvailabiliies): ResolvedOverride<AvailSlotsProps, {}>;
export declare function getAvailOverride(overrides: Overrides | undefined, defaultSpec: typeof DefaultAvailSlot, styleProps?: ExtractStyleProps<typeof DefaultAvailSlot>): ResolvedOverride<AvailSlotProps, {}>;
export {};
