import { Range, MsSinceMidnightRange, AvailabilityEvent, Booking } from '../types';
import { MomentCtrFunc } from '../moment-types/moment-subset';
export declare function createUtils(moment: MomentCtrFunc): {
    msInHour: number;
    datesEqual: (d1: Date, d2: Date) => boolean;
    formatAsMonth: (date: Date) => string;
    sameMonth: (d1: Date, d2: Date) => boolean;
    formatAsDateWithTime: (date: Date) => string;
    formatAsDateJustTime: (date: Date) => string;
    formatAsDate: (date: Date) => string;
    shouldHideWeek: (selectedDate: Date | null, week: Date[], viewingDayAvailabilities: AvailabilityEvent[]) => boolean | null;
    availByIndex: (days: Date[], avails: AvailabilityEvent[]) => {
        hasAvail: boolean;
    }[];
    addBlockOutBookings: (blockOutPeriods: MsSinceMidnightRange[], provideTimeZone: string, bookings: Booking[], periodStart: Date, periodEnd: Date) => Booking[];
    availabilitiesFromBookings: (blockOutPeriods: MsSinceMidnightRange[], providerTimeZone: string, bookings: Booking[], now: Date, periodStartArg: Date, periodEnd: Date) => AvailabilityEvent[];
    toStartAndEnd: (range: Range) => {
        startDate: Date;
        endDate: Date;
    };
    monthRangeForDate: (d: Date) => {
        start: Date;
        end: Date;
    };
    monthDaysForDate: (date: Date) => {
        weeks: Date[][];
        days: Date[];
    };
    chunkify: (intervals: AvailabilityEvent[], chunkLenMs: number, stepLenMs: number) => AvailabilityEvent[];
};
